Loading...
Searching...
No Matches
error.hpp File Reference

The base Proton error. More...

`#include "./internal/export.hpp"`
`#include <stdexcept>`
`#include <string>`
Include dependency graph for error.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | error
| The base Proton error. More...
struct | timeout_error
| An operation timed out. More...
struct | conversion_error
| An error converting between AMQP and C++ data. More...

## Namespaces

namespace | proton
| The main Proton namespace.

## Detailed Description

The base Proton error.